Alembic: Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl Class Reference
Inheritance diagram for Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl:

## Public Member Functions
| CprImpl (OrImplPtr iObject, CompoundReaderPtrs &iCompounds)
| CprImpl (CprImplPtr iParent, size_t iIndex)
virtual const AbcA::PropertyHeader & | getHeader () const
virtual AbcA::ObjectReaderPtr | getObject ()
virtual AbcA::CompoundPropertyReaderPtr | getParent ()
virtual AbcA::CompoundPropertyReaderPtr | asCompoundPtr ()
virtual size_t | getNumProperties ()
virtual const AbcA::PropertyHeader & | getPropertyHeader (size_t i)
virtual const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName)
virtual AbcA::ScalarPropertyReaderPtr | getScalarProperty (const std::string &iName)
virtual AbcA::ArrayPropertyReaderPtr | getArrayProperty (const std::string &iName)
virtual AbcA::CompoundPropertyReaderPtr | getCompoundProperty (const std::string &iName)
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader
virtual | ~CompoundPropertyReader ()
BasePropertyReaderPtr | getProperty (const std::string &iName)
ScalarPropertyReaderPtr | getScalarProperty (size_t i)
ArrayPropertyReaderPtr | getArrayProperty (size_t i)
CompoundPropertyReaderPtr | getCompoundProperty (size_t i)
BasePropertyReaderPtr | getProperty (size_t i)
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader
virtual | ~BasePropertyReader ()
const std::string & | getName () const
PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const MetaData & | getMetaData () const
const DataType & | getDataType () const
TimeSamplingPtr | getTimeSampling () const
virtual ScalarPropertyReaderPtr | asScalarPtr ()
virtual ArrayPropertyReaderPtr | asArrayPtr ()

## Member Function Documentation

## ◆ asCompoundPtr()

AbcA::CompoundPropertyReaderPtr Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl::asCompoundPtr | ( |  | ) |
| virtual

Up-cast this base property to a CompoundProperty, if such an upcast is valid. This can be checked with the isCompound() function. If the upcast is not valid, an empty pointer will be returned. This default implementation returns an empty pointer.

Reimplemented from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader.

## ◆ getArrayProperty()

AbcA::ArrayPropertyReaderPtr Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl::getArrayProperty | ( | const std::string & | iName | ) |
| virtual

Get a Array Property by name.. It will return an empty pointer if the property is not array or is not found.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader.

## ◆ getCompoundProperty()

AbcA::CompoundPropertyReaderPtr Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl::getCompoundProperty | ( | const std::string & | iName | ) |
| virtual

Get a Compound Property by name.. It will return an empty pointer if the property is not compound or is not found.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader.

## ◆ getHeader()

const AbcA::PropertyHeader & Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl::getHeader | ( |  | ) | const
| virtual

Properties are created with a collection of metadata that is stored in a lightweight structure called PropertyHeader. This returns a constant reference to the PropertyHeader which was given upon creation.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader.

## ◆ getNumProperties()

size_t Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl::getNumProperties | ( |  | ) |
| virtual

Returns the number of properties read from the file ...

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader.

## ◆ getObject()

AbcA::ObjectReaderPtr Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl::getObject | ( |  | ) |
| virtual

All properties have an object that owns them, and in order to ensure the object stays alive as long as the properties do, they retain a shared pointer to their object.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader.

## ◆ getParent()

AbcA::CompoundPropertyReaderPtr Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl::getParent | ( |  | ) |
| virtual

Most properties live in a compound property. (Except for the top-compound property in any object) This returns a pointer to the parent compound property.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader.

## ◆ getPropertyHeader() [1/2]

const AbcA::PropertyHeader * Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl::getPropertyHeader | ( | const std::string & | iName | ) |
| virtual

Return the header of a property name. This will return a NULL pointer if no header by that name is found.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader.

## ◆ getPropertyHeader() [2/2]

const AbcA::PropertyHeader & Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl::getPropertyHeader | ( | size_t | i | ) |
| virtual

Return the header of a property by index. This will throw an exception on out-of-range access.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader.

## ◆ getScalarProperty()

AbcA::ScalarPropertyReaderPtr Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl::getScalarProperty | ( | const std::string & | iName | ) |
| virtual

Get a Scalar Property by name.. It will return an empty pointer if the property is not scalar or is not found.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader.

The documentation for this class was generated from the following files:

- AbcCoreLayer/CprImpl.h
- AbcCoreLayer/CprImpl.cpp